Skip to main content
GET
/
webhooks
/
{app_id}
/
{webhook_id}
/
events
cURL
curl --request GET \
  --url https://api.example.com/webhooks/{app_id}/{webhook_id}/events
import requests

url = "https://api.example.com/webhooks/{app_id}/{webhook_id}/events"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/webhooks/{app_id}/{webhook_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "payload": {},
    "retries": 123,
    "last_retry_at": "2023-11-07T05:31:56Z",
    "webhook": {
      "id": "<string>",
      "url": "<string>",
      "app": {
        "id": "<string>",
        "name": "<string>",
        "kyc_return_url": "<string>",
        "use_explorer": true,
        "permissions": {
          "can_view": true,
          "can_edit": true,
          "can_delete": true,
          "can_edit_members": true
        },
        "app_fee": 123,
        "user": {
          "id": "<string>",
          "username": "<string>",
          "first_name": "<string>",
          "last_name": "<string>"
        },
        "is_member": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "last_log": {
      "id": "<string>",
      "response_status": 123,
      "response_body": "<string>",
      "webhook_event": "<unknown>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  }
]

Path Parameters

webhook_id
string
required
app_id
string
required

Query Parameters

page
number
default:1
Required range: x >= 1
take
number
default:100
Required range: x >= 1

Response

200 - application/json
id
string
required
event_type
enum<string>
required
Available options:
test,
payment
status
enum<string>
required
Available options:
queued,
processing,
succeeded,
failed,
delayed
payload
object
required
retries
number
required
last_retry_at
string<date-time>
required
webhook
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
last_log
object